{-# Language NoMonomorphismRestriction #-}

module Text
    (
     module Data.Text,
     module Data.Text.Lens,
     nfcText,
     nfcUtf8ByteString,
     nfcUtf8
    ) where

import qualified Data.Text.ICU.Normalized.NFC as NFC
import Data.Text (Text, null, empty)
import Data.Text.Lens

-- | Converts between 'Text' and 'NFCText'
nfcText = NFC.strict

-- | Converts between a UTF-8 ByteString and an NFCText
nfcUtf8ByteString = NFC.utf8ByteString

-- | Converts between a String and an NFCText
nfcUtf8 = NFC.utf8
